Skip to main content
POST
/
goals
/
{id}
Update a health goal
curl --request POST \
  --url https://api.foreverbetter.xyz/goals/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "metric": "<string>",
  "target_value": 123,
  "target_unit": "<string>",
  "due_date": "<string>",
  "note": "<string>"
}
'
import requests

url = "https://api.foreverbetter.xyz/goals/{id}"

payload = {
"title": "<string>",
"metric": "<string>",
"target_value": 123,
"target_unit": "<string>",
"due_date": "<string>",
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
metric: '<string>',
target_value: 123,
target_unit: '<string>',
due_date: '<string>',
note: '<string>'
})
};

fetch('https://api.foreverbetter.xyz/goals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
title
string
Minimum string length: 1
metric
string
target_value
number
target_unit
string
target_direction
enum<string>
Available options:
decrease,
increase,
maintain
due_date
string
status
enum<string>
Available options:
active,
achieved,
archived
note
string

Response

OK